ON_LinetypeSegment Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_linestyle.h>`

## Public Types

enum | eSegType { stLine , stSpace }

## Public Member Functions

| ON_LinetypeSegment ()
bool | operator== (const ON_LinetypeSegment &src) const
bool | operator!= (const ON_LinetypeSegment &src) const
void | Dump (class ON_TextLog &) const

## Public Attributes

double | m_length
eSegType | m_seg_type

## Detailed Description

Definition at line 83 of file opennurbs_linestyle.h.

## Member Enumeration Documentation

## eSegType

enum ON_LinetypeSegment::eSegType

Enumerator
stLine |
stSpace |

Definition at line 94 of file opennurbs_linestyle.h.

## Constructor & Destructor Documentation

## ON_LinetypeSegment()

ON_LinetypeSegment::ON_LinetypeSegment | ( |  | ) |

## Member Function Documentation

## Dump()

void ON_LinetypeSegment::Dump | ( | class ON_TextLog & |  | ) | const

## operator!=()

bool ON_LinetypeSegment::operator!= | ( | const ON_LinetypeSegment & | src | ) | const

## operator==()

bool ON_LinetypeSegment::operator== | ( | const ON_LinetypeSegment & | src | ) | const

## Member Data Documentation

## m_length

double ON_LinetypeSegment::m_length

Definition at line 104 of file opennurbs_linestyle.h.

## m_seg_type

eSegType ON_LinetypeSegment::m_seg_type

Definition at line 105 of file opennurbs_linestyle.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_linestyle.h